Subject: Re: Peach tree leaf curl

From: [email-masked] (Jon Boy384)
Date: 24 May 1995 20:54:53 -0400

Hi Mark,
Peach Leaf Curl is caused by a fungus that attacks the new leaves as they
emerge in the Spring. It can be easily controlled by either spraying the
trees with Ferbam in the Fall after Harvest and after about 90% of the
leaves have dropped, or wait until the spring and apply Lime-Sulfur before
the buds break. Unfortunately there is nothing you can do for leaf curl
during the growing season except watch the leaves get ugly and drop. There
is also some speculation that on some varieties, the leaf curl fungus can
cause a rough growth along the suture of the peach.

Good Luck, 
Jon  Bishop <[email-masked]>